package com.mxnavi.applauncher;

import com.mxnavi.applauncher.IMlinkServiceClient;

interface IMlinkService {
// 注册回调
oneway void registerMlinkServiceClient(in IMlinkServiceClient client);

// 反注册回调
oneway void unregisterMlinkServiceClient(in IMlinkServiceClient client);

// BT连接状态
boolean onBtConnectionStatus(boolean isConnected, String mac);
// isConnected： true 连接， false 断开
// mac：mac地址

// 接收蓝牙数据
boolean onReceivedBtData(in byte[] data);

// WIFI连接状态
boolean onWifiConnectionStatus(boolean isConnected, String mac);
// isConnected： true 连接， false 断开
// mac：mac地址
}
